Subject: Re: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Oct 2019 22:28:27 +0200

Stefan Kangas <[email-masked]> writes:

> I've now packaged up a proposed patch with some cleanups and
> adaptions.  It would be great if someone could review this.

[...]

> This code was written by Drew Adams with minor cleanups and stylistic
> changes by Stefan Kangas.
> Ref: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30660
>
> * lisp/help-fns.el (describe-keymap): New function to show key
> bindings for a given keymap.  (Bug#30660)

This looks like a useful addition...

> * lisp/help.el (help-map): Bind the new function to "C-h M".
> * lisp/help.el (help-for-help-internal): Document what "C-h M" does
> when user types "C-h C-h".

`C-h m' is already used and `C-h M' auto-maps to it currently, so I'm
not sure that's the best binding.  But perhaps that's not a problem in
practice. 

Other than that, I have no comments, and I think it should be applied to
Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no